Download it now!
Bug 44707 - Parallel build failures; dependencies on grammars
Summary: Parallel build failures; dependencies on grammars
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: David Tardon
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-11 21:04 UTC by Markus Peloquin
Modified: 2012-01-16 06:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Peloquin 2012-01-11 21:04:55 UTC
This is actually libreoffice-3.4.99.3 in Gentoo.  I have a quad core CPU and was building libreoffice with `make -j5`.  I saw the following at some point:


Entering /var/tmp/portage/app-office/libreoffice-3.4.99.3/work/libreoffice-core-3.4.99.3/xmlscript/prj

Compiling: UnoControls/source/controls/progressbar.cxx
Compiling: UnoControls/source/controls/framecontrol.cxx
Compiling: UnoControls/source/controls/progressmonitor.cxx
Compiling: UnoControls/source/controls/OConnectionPointHelper.cxx
Compiling: UnoControls/source/controls/OConnectionPointContainerHelper.cxx
[ build YAC ] rsc/source/parser/rscyacc
[ build CXX ] rsc/source/parser/erscerr
[ build CXX ] rsc/source/parser/rscdb
[ build CXX ] rsc/source/parser/rscibas
[ build CXX ] rsc/source/parser/rscicpx
[ build CXX ] rsc/source/parser/rscinit
/var/tmp/portage/app-office/libreoffice-3.4.99.3/work/libreoffice-core-3.4.99.3/rsc/source/parser/rscyacc.y: conflicts: 2 shift/reduce
Compiling: UnoControls/source/controls/statusindicator.cxx
[ build PKG ] xmlscript_inc
/var/tmp/portage/app-office/libreoffice-3.4.99.3/work/libreoffice-core-3.4.99.3/rsc/source/parser/rscibas.cxx:50:23: fatal error: rscyacc.hxx: No such file or directory
compilation terminated.


If I do a `make clean; make -j5` again in that directory, it sometimes succeeds.  I have no idea how your makefiles work, or if you're even actively tracking dependencies or what.

Let me know if you need anything else.
Comment 1 David Tardon 2012-01-13 08:28:06 UTC
I saw it at several occasions. And I am probably responsible for the problem, too :)
Comment 2 David Tardon 2012-01-16 06:00:57 UTC
fixed by commit cf23f57ae6bb7af689a45e0a850c3c2f67a8f810